#!/bin/sh

if [ -e /var/run/ulog-acctd.pid ]; then kill -TSTP `cat /var/run/ulog-acctd.pid`; fi

psql -e -h db -U billwriter billing << EOF
set datestyle to sql, dmy;
\copy transfer_ip from '/var/log/ulog-acctd/account.log' with delimiter E'\t'
start transaction isolation level serializable;
select summary_ip_calculate('eth0');
commit;
EOF

if [ $? == 0 ] ;then
  echo "Clear account log"
  cat /dev/null > /var/log/ulog-acctd/account.log
fi

if [ -e /var/run/ulog-acctd.pid ]; then kill -CONT `cat /var/run/ulog-acctd.pid`; fi
